using System;
using System.Reflection;

internal sealed class Delegate46 : MulticastDelegate
{
	public extern Assembly Invoke(object object_0);

	public static Assembly smethod_0(object object_0, Delegate46 delegate46_1)
	{
		return delegate46_1(object_0);
	}

	public extern Delegate46(object object_0, IntPtr intptr_0);

	static Delegate46()
	{
		Class10.smethod_13(typeof(Delegate46).TypeHandle);
	}

	internal static Delegate46 delegate46_0;
}
